## mozilla-devscripts 0.06~gutsy1

=== debian/changelog ===
mozilla-devscripts (0.06~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <jdong@ubuntu.com>  Tue,  8 Apr 2008 10:47:09 +0100

mozilla-devscripts (0.06) hardy; urgency=low

  [ Alexander Sack ]
  * [ xpi ]:
    + introduce support to extract xpi translations from any build tree that
      ships chrome.manifest indexed xul/xpi translations. This feature is ment to
      be hooked into install phase of then package build. cdbs users can just
      include this helper as we ship the appropriate cdbs hooks.
      - add src/lp-locale-export.mk
  * [ lp-locale-export ]:
    + add lp-locale-export.mk to the build (add to extra_mk_files)
      - update src/Makefile
    + add README stub for lp-locale-export.mk
      - update README

  [ Fabien Tassin ]
  * [ compare ]:
    + Add support for compare in thunderbird-3.0
      - update src/thunderbird-3.0.mk.in
  * [ mozclient ]:
    + Update mozclient-status rule to list tags relative to each project
      instead of just gecko trunk
      - update src/mozclient.mk.in
    + Update nspr project file to generate a version containing the gecko
      version, such as 4.7.1~beta+1.9b5~cvs20080310t1054 or
      4.7.1~beta2+1.9b5~cvs20080314t1505
      - update src/nspr.mk.in
    + Fail when MOZCLIENT_GETDATE was not able to find the date on bonsai
      - update src/mozclient.mk.in
    + Add a firefox-3.0-full project creating a full firefox tarball,
      i.e. regular browser and not the ubuntu specific xulbrowser
      - add src/firefox-3.0-full.mk.in
      - update src/Makefile
    + Add a xulrunner-1.8 project
      - add src/xulrunner-1.8.mk.in
      - update src/Makefile
  * [ minefield-packager ]
    + New module creating debs from Firefox nightly built tarballs
      - add src/minefield-packager.mk.in
      - add src/minefield-packager/debian/*
      - update src/Makefile
      - update README
    + Add dpkg-dev (for dpkg-deb) and fakeroot to depends
      - update debian/control
  * Add $(extra_mk_dirs) to install a full directory and use it for
    minefield-packager/debian and (mozclient/)patches
    - update src/Makefile

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 04 Apr 2008 16:14:45 +0200

mozilla-devscripts (0.05) hardy; urgency=low

  * new release shipping xpi.mk (LP: #195366)
    - this upload belongs to the general FF Exception of #193225.

  [ Fabien Tassin ]
  * Update mozclient patch for xulbrowser now that firefox 3 needs
    mozilla/memory to build
    - update src/patches/xulbrowser_target.patch
  * Rewrite package description now that we provide several scripts
    - update debian/control
  * Update the compare module to also check dist/bin vs debian/tmp
    - update src/compare.mk.in
    - update src/firefox-3.0.mk.in
    - update src/xulrunner-1.9.mk.in
    - update README
  * Change nspr version in mozclient to ~~cvs now that upstream bumped
    its version so we can change our versionning later
    - update src/nspr.mk.in

  [ Alexander Sack ]
  * add initial xpi makefile helper that tries to make extension package
    maintenance as trivial as possible
    - add src/xpi.mk
    - update src/Makefile
  * add libxml-xpath-perl to Depends: required by install.rdf introspection
    in xpi.mk
    - update debian/control
  * add unzip (needed by xpi.mk) to Depends: of mozilla-devscript binary package
    - update debian/control
  * introduce MOZ_XPI_MOZILLA_DIRS in xpi.mk with default values: "firefox-addons
    firefox"
    - update src/xpi.mk
  * document xpi.mk in README
    - update README

 -- Fabien Tassin <fta@sofaraway.org>  Mon, 25 Feb 2008 11:39:01 +0100

mozilla-devscripts (0.04) hardy; urgency=low

  * Add support in mozclient for DEBIAN_TAG for nss and nspr by not using
    mozilla/client.mk for those two.
    - update src/mozclient.mk.in and README
    - update src/{nspr,nss}.mk.in
    - drop src/patches/{nspr,nss}_target.patch
    - update src/patches/xulbrowser_target.patch
    - update src/patches/series

 -- Fabien Tassin <fta@sofaraway.org>  Fri, 08 Feb 2008 22:13:42 +0100

mozilla-devscripts (0.03) hardy; urgency=low

  * Fix PST date missed for direct checkout
    - update src/mozclient.mk.in
  * Add the 'compare' script
    - add src/compare.mk.in
    - update src/Makefile
  * Rephrase documentation and document 'compare'
    - update README
    - update src/mozclient.mk.in
  * Add support for 'compare' in seamonkey, firefox and xulrunner
    - update src/seamonkey-2.0.mk.in
    - update src/xulrunner-1.9.mk.in
    - update src/firefox-3.0.mk.in

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 29 Jan 2008 14:06:37 +0100

mozilla-devscripts (0.02) hardy; urgency=low

  * Move patches for mozilla/client.mk inside src/ as they were previously
    missed at install time. This will prevent confusions with other future
    scripts
  * Add PST to dates passed to cvs so it matches dates from Bonsai
    - update src/mozclient.mk.in
  * Drop Changelog.txt, use debian/changelog instead

 -- Fabien Tassin <fta@sofaraway.org>  Thu, 17 Jan 2008 22:17:46 +0100

mozilla-devscripts (0.01) hardy; urgency=low

  * Initial version (LP: #179501)

 -- Fabien Tassin <fta@sofaraway.org>  Sun, 30 Dec 2007 21:06:05 +0100
