## mozilla-devscripts 0.07

=== src/Makefile ===
# -*- mode: makefile; coding: utf-8 -*-

# Copyright (c) 2007-2008 Fabien Tassin <fta@sofaraway.org>
# Description: Build system for mozilla-devscripts
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

PREFIX ?= /usr

DATADIR = $(PREFIX)/share/mozilla-devscripts

mk_files = \
	firefox-3.0.mk \
	firefox-3.0-full.mk \
	lightning-sunbird.mk \
	nspr.mk \
	nss.mk \
	seamonkey-2.0.mk \
	thunderbird-3.0.mk \
	xulrunner-1.8.mk \
	xulrunner-1.9.mk \
	mozclient.mk \
	compare.mk \
	minefield-packager.mk \
	$(NULL)

extra_mk_files = \
	remove.binonly.sh \
	xpi.mk \
	lp-locale-export.mk \
	$(NULL)

extra_mk_dirs = \
	patches \
	minefield-packager/debian \
	$(NULL)

%.mk: %.mk.in
	cat $< | sed \
	-e "s|^\(include\) \(.*\)\.in|\1 $(DATADIR)/\2|" \
	-e "s|^\(MOZCLIENT_EXCLUDE_SCRIPT.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
	-e "s|^\(MOZCLIENT_PATCHES.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
	-e "s|^\(MOZDEVSCRIPT_DIR.*=[ 	]*\)\(.*\)|\1$(DATADIR)/\2|" \
	> $@
	chmod 644 $@

build: $(mk_files)

install: $(mk_files) $(extra_mk_files) $(foreach dir,$(extra_mk_dirs),$(wildcard $(dir)/*))
	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_mk_dirs),$(DESTDIR)$(DATADIR)/$(dir))
	install -m 644 $(mk_files) $(extra_mk_files) $(DESTDIR)$(DATADIR)
	chmod 755 $(DESTDIR)$(DATADIR)/*.sh
	for dir in $(extra_mk_dirs) ; do \
	install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
	done

clean:
	rm -f $(mk_files)
