=== debian/changelog ===
mozilla-devscripts (0.07) hardy; urgency=low

  * [ mozclient ]
    + Fix checkouts by date where the provided date was not
      transformed into a date that cvs could recognize (LP: #215382)
      - update src/mozclient.mk.in

 -- Fabien Tassin <fta@sofaraway.org>  Thu, 10 Apr 2008 23:07:45 +0200
