=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Uploaders: Fabien Tassin <fta@sofaraway.org>
Build-Depends: debhelper (>= 5), cdbs
Standards-Version: 3.7.3
Vcs-Bzr: https://code.launchpad.net/~mozillateam/mozclient/mozclient.dev

Package: mozilla-devscripts
Architecture: all
Depends: cvs, wget, quilt, libxml-xpath-perl, unzip, dpkg-dev, fakeroot
Description: Collection of dev scripts used by Ubuntu Mozilla packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance which provides targets usable by Mozilla
 packages in Ubuntu
