## mozilla-devscripts 0.10

=== debian/changelog ===
mozilla-devscripts (0.10) intrepid; urgency=low

  [ Sasa Bodiroza ]
  * Add src/med-xpi-{pack,unpack} scripts to manage packing and unpacking of
    XPI files.
  * Add default build command in src/xpi.mk.
  * In README:
    - Document src/med-xpi-{pack,unpack} scripts.
    - Document default build command in xpi.mk part.
  * Add zip to Depends in debian/control, because src/med-xpi-{pack,unpack}
    scripts need it.
  * Add src/med-xpi-{pack,unpack} to debian/mozilla-devscripts.install to
    install them to /usr/bin.

  [ Fabien Tassin ]
  * Change Recommends into Suggests for cvs and mercurial as those are
    not needed to use mozilla-devscripts as a build-dependency.
    - update debian/control
  * [mozclient] fix Mercurial tags not passed during checkout
    - update src/mozclient/lib/MozClient/Mercurial.pm

  [ Alexander Sack <asac@ubuntu.com> ]
  * inject awesome-browser branding into firefox source tree by
    adding appropriate MOZCLIENT_POSTCOCMD to the mozclient configs
    - update src/mozclient/firefox-3.0.conf
    - update src/mozclient/firefox-3.1.conf
    - update src/mozclient/firefox-4.0.conf

 -- Fabien Tassin <fta@sofaraway.org>  Tue, 02 Sep 2008 13:29:40 +0200

mozilla-devscripts (0.09) intrepid; urgency=low

  * Move cvs and mercurial from depends to recommends
  * [ mozclient ]
    + Full refactoring of mozclient: It is now written in object-oriented Perl.
      The makefile version was getting difficult to extend and to maintain.
      We now have a base class called MozClient::VCS and a set of VCS classes
      inheriting for it.
    + New features:
      * MOZCLIENT_DYNTAG and MOZCLIENT_DYNTAG_FILES: nspr and nss are now
        using a dynamic tag. They used to fetch HEAD which made them tricky
        to distribute. Now, we take NSPR_CO_TAG and NSS_CO_TAG from
        mozilla/client.mk (fetched from HEAD or from a tag) and we assign
        a version like nss-3.12.0.3+1.9~cvs without trailing cvs date
        (as it's a tagged nss), or nss-3.12.0.3+1.9 when using a tagged
        mozilla/client.mk
      * add optional MOZCLIENT_SEPARATOR to specify what we want between
        the version and the date/revision tag in the version (default to ~)
      * run an optional package specific clean-up script. It should be called
        src/mozclient/${pkg_name}-remove.binonly.sh
      * add support for svn
      * add optional MOZCLIENT_TAREXCLUDE to extend the list of dirs/files
        to exclude from packaging
      * change MOZCLIENT_CVS_LOC and MOZCLIENT_HG_LOC into a common
        MOZCLIENT_VCS_LOC and make it mandatory
      * add MOZCLIENT_APPNAME in order for xulrunner applications to specify
        their toplevel directory name. It is set by default to 'mozilla'
      * change version of all hg project to have YYYYMMDDrRRR instead of
        RRR~YYYMMDD which was different from all other VCS
    + New or updated projects:
      * add projects for Prism and Flock using svn
      * add project for Fennec using hg
      * make xulrunner-1.9.1 and xulrunner-2.0 use embedded tarballs
      * disable MOZCLIENT_POSTCOCMD for xulrunner-1.9.1 and firefox-3.1
        now that upstream made it obsolete
    + Update global clean-up script to remove new .dll/.exe shipped
      by upstream

  * [ compare ]
    + Add build-tree/dist to the list of directories for compare1
    + add support for flock

  * [ xulapp ]
    + Add a rules file for xulrunner applications installing a build
      system from the xulrunner SDK

 -- Fabien Tassin <fta@sofaraway.org>  Sat, 28 Jun 2008 16:41:05 +0200

mozilla-devscripts (0.08.1) intrepid; urgency=low

  Release cherry pick from 0.09 release to intrepid
  [ Fabien Tassin ]
  * Move cvs and mercurial from depends to recommends
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Fri, 30 May 2008 12:33:08 +0200

mozilla-devscripts (0.08) intrepid; urgency=low

  [ Alexander Sack ]
  * add .NOTPARALLEL target to make mozclient.mk more reliable in parallel
    make runs. We don't want parallel execution within the scope of mozclient.mk.
    Maybe noteworthy that this doesn't prevent clients to invoke get-orig-source
    with distinct parameters in parallel.
    - update src/mozclient.mk.in

  [ Fabien Tassin ]
  * [ mozclient ]
    + change the mozclient-status target name to list-tags, easier to remember.
      Preserve legacy mozclient-status
      - update src/mozclient.mk.in
      - update README
    + add support for Mercurial (hg) in addition to cvs.
      Add MOZCLIENT_VCS variable (default to cvs). Add mercurial to Depends.
      The preferred way to fetch a particular hg snapshot is to use a revision
      number, it's better than a date.
      - update deban/control
      - update src/mozclient.mk.in
      - update README
    + make the mozclient patch system optional by introducing a new variable
      called MOZCLIENT_WANTPATCH. Set it only for firefox 3.
      - update src/firefox-3.0-full.mk.in
      - update src/firefox-3.0.mk.in
      - update src/mozclient.mk.in
    + add 4 projects using Mercurial. They need python (>= 2.4) so add
      python | python2.4 to Depends. They also need a post checkout script to
      fetch dependencies (nspr/nss/tamarin) so introduce a new variable called
      MOZCLIENT_POSTCOCMD. We now use hgweb instead of bonsai to get revision
      ids and dates.
      - update deban/control
      - add src/firefox-3.1.mk.in
      - add src/firefox-4.0.mk.in
      - add src/xulrunner-1.9.1.mk.in
      - add src/xulrunner-2.0.mk.in
      - update src/Makefile
    + add a variable called DEBIAN_KEEP_VCS to preserve the VCS files such as 
      */CVS or .hg
      - update src/mozclient.mk.in
      - update README
    + Add a mozclient-version target producing a VERSION=foo string on stdout
      - update src/mozclient.mk.in
    + Fix nspr and nss conf files to fetch xulrunner version file using
      MOZCLIENT_FILE instead of MOZCLIENT_MODULES
      - update src/nspr.mk.in

