=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 Package: mozilla-devscripts
 Architecture: all
-Depends: cvs, wget, quilt, libxml-xpath-perl, unzip, dpkg-dev, fakeroot
+Depends: wget, quilt, libxml-xpath-perl, zip, unzip, dpkg-dev, fakeroot, python | python2.4
+Suggests: cvs, mercurial
 Description: Collection of dev scripts used by Ubuntu Mozilla packages
  This package contains mozilla-devscripts, a collection of scripts
  based on Makefile inheritance which provides targets usable by Mozilla
