## mozilla-devscripts 0.12

=== src/Makefile ===
--- 
+++ 
@@ -21,9 +21,12 @@
 
 DATADIR = $(PREFIX)/share/mozilla-devscripts
 
-mk_files = \
+subst_files = \
 	firefox-3.0.mk \
 	firefox-3.0-full.mk \
+	firefox-3.1.mk \
+	firefox-4.0.mk \
+	fennec.mk \
 	lightning-sunbird.mk \
 	nspr.mk \
 	nss.mk \
@@ -31,19 +34,26 @@
 	thunderbird-3.0.mk \
 	xulrunner-1.8.mk \
 	xulrunner-1.9.mk \
+	xulrunner-1.9.1.mk \
+	xulrunner-2.0.mk \
+	prism.mk \
+	flock.mk \
 	mozclient.mk \
 	compare.mk \
 	minefield-packager.mk \
+	xulapp.mk \
 	$(NULL)
 
-extra_mk_files = \
-	remove.binonly.sh \
+extra_files = \
 	xpi.mk \
 	lp-locale-export.mk \
 	$(NULL)
 
-extra_mk_dirs = \
-	patches \
+extra_dirs = \
+	mozclient \
+	mozclient/patches \
+	mozclient/lib \
+	mozclient/lib/MozClient \
 	minefield-packager/debian \
 	$(NULL)
 
@@ -56,15 +66,15 @@
 	> $@
 	chmod 644 $@
 
-build: $(mk_files)
+build: $(subst_files)
 
-install: $(mk_files) $(extra_mk_files) $(foreach dir,$(extra_mk_dirs),$(wildcard $(dir)/*))
-	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_mk_dirs),$(DESTDIR)$(DATADIR)/$(dir))
-	install -m 644 $(mk_files) $(extra_mk_files) $(DESTDIR)$(DATADIR)
-	chmod 755 $(DESTDIR)$(DATADIR)/*.sh
-	for dir in $(extra_mk_dirs) ; do \
+install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*))
+	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_dirs),$(DESTDIR)$(DATADIR)/$(dir))
+	install -m 644 $(subst_files) $(extra_files) $(DESTDIR)$(DATADIR)
+	for dir in $(extra_dirs) ; do \
 	install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
 	done
+	find $(DESTDIR)$(DATADIR) -type f \( -name \*.pl -o -name \*.sh \) -exec chmod -v 755 {} \;
 
 clean:
-	rm -f $(mk_files)
+	rm -f $(subst_files)
