=== debian/changelog ===
mozilla-devscripts (0.12) jaunty; urgency=low

  [ Fabien Tassin <fta@ubuntu.com> ]
  * mozclient:
    - fix hg incorrectly requesting branches
      - update src/mozclient/lib/MozClient/Mercurial.pm
    - search the main nobin script in the system wide mozclient
      path if we are building with a conf-dir and no script was found
      - update src/mozclient/lib/MozClient/VCS.pm
    - add support for local branches instead of the configured remote ones.
      It is faster if you have to publish tarballs quite often from a branch,
      such as when doing daily snapshots.
      - update src/mozclient.mk.in
      - update src/mozclient/lib/MozClient/{CVS,Git,Mercurial,Subversion,VCS}.pm
      - update src/mozclient/mozclient.pl
      - update README

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * Remove "firefox" from MOZ_XPI_MOZILLA_DIRS in src/xpi.mk, adjust parameter
    description

 -- Fabien Tassin <fta@ubuntu.com>  Mon, 19 Jan 2009 23:19:05 +0100

mozilla-devscripts (0.11) jaunty; urgency=low

  * Bump Standards-Version to 3.8.0
    - update debian/control
  * [ minefield-packager ]
    upstream builds are now identified with a trailling "-mozilla-central",
    it's no longer "-trunk"
    - update src/minefield-packager.mk.in
  * [ mozclient ]
    - add support for external project files helping adoption
      of mozilla-devscripts by downstream. Introduce MOZCLIENT_PROJECTDIR.
      - update README
      - update src/mozclient.mk.in
    - don't run MOZCLIENT_EXCLUDE_SCRIPT if does not exist as it creates
      false positives
      - update src/mozclient/lib/MozClient/VCS.pm
    - drop $(EXT), left-over from when mozclient.pl was substed and use -c instead
      - update src/mozclient.mk.in
    - add support for git
      - add src/mozclient/lib/MozClient/Git.pm
      - update src/mozclient/mozclient.pl
      - update src/mozclient/lib/MozClient/VCS.pm
      - update debian/control
    - move thunderbird-3.0 and seamonkey-2.0 from cvs to hg comm-central
      - update src/mozclient/thunderbird-3.0.conf
      - update src/mozclient/seamonkey-2.0.conf
      - add src/mozclient/thunderbird-3.0-remove.binonly.sh
      - add src/mozclient/seamonkey-2.0-remove.binonly.sh
    - add project midbrowser (LP: #210314)
      - add src/mozclient/midbrowser.conf
      - update README
  * [ compare ]
    search for $(DEB_BUILDDIR)/mozilla/dist/bin, needed
    by mozilla packages using MOZ_OBJDIR
    - update src/compare.mk.in
  * [ xpi ]
    add support for xpi not located in the root directory. This is needed
    for extensions built with xulapp.mk
    - update src/xpi.mk
  * [ xulapp ]
    - allow caller to specify the xulrunner version by pre-setting DEBIAN_XUL_VER
      - update src/xulapp.mk.in
    - add confdefs.h and a.out to the clean rule
      - update src/xulapp.mk.in

 -- Fabien Tassin <fta@ubuntu.com>  Sat, 15 Nov 2008 23:30:58 +0100
