=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2007-2008 Fabien Tassin <fta@sofaraway.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

DEB_SOURCE_PACKAGE  := $(shell dpkg-parsechangelog | sed -n 's/^Source: *\(.*\)$$/\1/ p')
DEB_VERSION         := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
DEB_ISNATIVE        := 1

DEB_INDEP_PACKAGES  = $(DEB_SOURCE_PACKAGE)
DEB_ARCH_PACKAGES   = $(NULL)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_SRCDIR              := $(CURDIR)/src
DEB_MAKE_BUILD_TARGET   := build
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp/
DEB_MAKE_CHECK_TARGET   := $(NULL)

DEB_INSTALL_DOCS_ALL       := README
