## mozilla-devscripts 0.17

=== src/Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 PREFIX ?= /usr
+BINDIR ?= $(PREFIX)/bin
+MANDIR ?= $(PREFIX)/share/man
 
 DATADIR = $(PREFIX)/share/mozilla-devscripts
 
@@ -41,13 +43,23 @@
 	mozclient.mk \
 	compare.mk \
 	minefield-packager.mk \
+	xpi-config.mk \
 	xulapp.mk \
 	$(NULL)
 
 extra_files = \
+	lp-locale-export.mk \
 	xpi.mk \
-	lp-locale-export.mk \
+	xpi-data-all.mk \
+	xpi-data-common.mk \
+	xpi-data-Debian.mk \
+	xpi-data-Ubuntu.mk \
 	$(NULL)
+
+bindir_files = \
+	med-xpi-pack \
+	med-xpi-unpack \
+	moz-version
 
 extra_dirs = \
 	mozclient \
@@ -63,18 +75,29 @@
 	-e "s|^\(MOZCLIENT_EXCLUDE_SCRIPT.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
 	-e "s|^\(MOZCLIENT_PATCHES.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
 	-e "s|^\(MOZDEVSCRIPT_DIR.*=[ 	]*\)\(.*\)|\1$(DATADIR)/\2|" \
+	-e "s|@DISTRO@|$(shell lsb_release -si)|" \
 	> $@
 	chmod 644 $@
 
 build: $(subst_files)
 
-install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*))
+install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*)) install-man
 	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_dirs),$(DESTDIR)$(DATADIR)/$(dir))
 	install -m 644 $(subst_files) $(extra_files) $(DESTDIR)$(DATADIR)
+	install -m 755 -d $(DESTDIR)$(BINDIR) 
+	install -m 755 $(bindir_files) $(DESTDIR)$(BINDIR) 
 	for dir in $(extra_dirs) ; do \
 	install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
 	done
 	find $(DESTDIR)$(DATADIR) -type f \( -name \*.pl -o -name \*.sh \) -exec chmod -v 755 {} \;
+	chmod 755 $(DESTDIR)$(DATADIR)/minefield-packager.mk
+
+install-man:
+	install -D -m 644 ../man/moz-version.1 $(DESTDIR)$(MANDIR)/man1/moz-version.1
+	install -D -m 644 ../man/med-xpi-pack.1 $(DESTDIR)$(MANDIR)/man1/med-xpi-pack.1
+	install -D -m 644 ../man/med-xpi-unpack.1 $(DESTDIR)$(MANDIR)/man1/med-xpi-unpack.1
 
 clean:
 	rm -f $(subst_files)
+
+.PHONY: clean install install-man
