=== debian/changelog ===
mozilla-devscripts (0.17) unstable; urgency=low

  * xpi.mk:
    - Fail to build, if no xpi file is found.
      - update src/xpi.mk
    - only add stripped binary package name to xpi:Provides, if it equals the
      source package name
      - update src/xpi.mk
    - Fail to build, if the extension manager ID could not be detected.
      - update src/xpi.mk
    - support different types of install.rdf files (LP: #442897)
      - update src/xpi.mk
    - move data for the automagic detection of target application packages
      into separate xpi-data-*.mk files
      - update src/xpi.mk
      - add src/xpi-data-all.mk
      - add src/xpi-data-common.mk
      - add src/xpi-data-Debian.mk
      - add src/xpi-data-Ubuntu.mk
      - update debian/control
      - update src/Makefile
    - rename MOZ_EXT_NAME to MOZ_XPI_EXT_NAME
      - update src/xpi.mk
    - set default MOZ_XPI_DISTRO in xpi-config.mk on installation
      - add src/xpi-config.mk.in
      - update src/xpi.mk
      - update src/Makefile

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 07 Oct 2009 18:29:33 +0200

mozilla-devscripts (0.16) unstable; urgency=low

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * xpi.mk:
    - List all phony target and run dh_clean for all packages. These changes
      makes it possible to use xpi.mk without cdbs in a simple way.
      - update src/xpi.mk
    - MOZ_EXTENSION_PKG is defined in either case, removing missing case handler
      - update src/xpi.mk
    - rename stamp-* targets to *-stamp, merge stamp-extension-install into
      xpi-install, merge xpi-clean into clean
      - update src/xpi.mk
    - Guess common license file names if MOZ_XPI_DOCUMENTED_LICENSE_FILES is
      not set.
      - update src/xpi.mk
    - simplify xpi-depends-stamp rule
      - update src/xpi.mk
    - override files on xpi extraction (otherwise running build target would
      require user interaction)
      - update src/xpi.mk
    - only list packages in ${xpi:Depends} if they are available in the archive
      and add lsb-release as dependency
      - update src/xpi.mk
      - update debian/control
    - rename ${xpi:Depends} to ${xpi:Recommends} and keep ${xpi:Depends} for
      backwards compatibility
      - update src/xpi.mk
    - add ${xpi:Provides} and ${xpi:Enhances} to support the Debian policy for
      packaging extensions: http://wiki.debian.org/Teams/DebianMozExtTeam
      - update src/xpi.mk
    - "mkdir -p" can be run in all cases
      - update src/xpi.mk
    - add sanity check for xpi file and fail with useful error messages
      - update src/xpi.mk
    - support different types of install.rdf files (LP: #422898)
      - update src/xpi.mk
    - add MOZ_EXT_NAME option (used for calculating xpi:Provides)
      - update src/xpi.mk
  * packaging:
    - allow uploads done by Debian Maintainers
      - update debian/control
  * med-xpi-{pack,unpack}:
    - add parenthesis to $1 to avoid problems if $1 is empty
      - update src/med-xpi-pack
      - update src/med-xpi-unpack
    - replace \n in echo commands with an extra empty echo command to avoid
      bashism (Closes: #547755)
      - update src/med-xpi-pack
      - update src/med-xpi-unpack

  [ Alexander Sack <asac@ubuntu.com> ]
  + mozclient: use stable awesome-browser branding branch for firefox-3.0
    - update src/mozclient/firefox-3.0.conf
  + xpi.mk:
    - install extension tree to /usr/share or /usr/lib based on Architecture:
      field in debian/control for the target package
      - update src/xpi.mk

 -- Alexander Sack <asac@ubuntu.com>  Thu, 24 Sep 2009 14:08:10 +0200

mozilla-devscripts (0.15) unstable; urgency=low

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * packaging:
    - break and sort Depends and Suggests
      - update debian/control
    - add ${misc:Depends} to Depends
      - update debian/control
    - wrap too long lines
      - update debian/changelog
    - fix Vcs-Bzr-Browser field to Vcs-Browser
      - update debian/control
    - all files are directly installed into debian/mozilla-devscripts
      - update debian/rules
      - remove debian/mozilla-devscripts.install
    - Bump Standards-Version to 3.8.3
      - update debian/control
  * build-system:
    - make minefield-packager.mk executable
      - update src/Makefile
  * lp-locale-export.mk:
    - remove shebang
      - update src/lp-locale-export.mk
  * moz-version:
    - wrote man page for moz-version
      - add man/moz-version.1
      - update src/Makefile
  * xpi.mk:
    - add abrowser-3.7, firefox-3.7, xulrunner-1.9.3
      - update src/xpi.mk

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * med-xpi-{pack,unpack}:
    - wrote man page for med-xpi-{pack,unpack}
    - add man/med-xpi-{pack,unpack}.1
    - update src/Makefile
  * xpi.mk:
    - add MOZ_XPI_DOCUMENTED_LICENSE_FILES parameter to enable exclusion of
      extra license files during installation of the XPI to the packaging tree

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 22 Aug 2009 01:10:23 +0200

mozilla-devscripts (0.14) unstable; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * xpi.mk:
    - add target application id magic (|XPI_TARGET_EMIDs|); parse install.rdf
      and create extension links for all targetapplications like:
      |/usr/lib/mozilla/extensions/$targetappid/$extid|; in same turn we
      deprecate |MOZ_XPI_MOZILLA_DIRS| and unset its default accordingly
      - update src/xpi.mk
    - improve rule dependencies; avoid duplicate/circular depends
      - update src/xpi.mk
    - first pitch on automagic max/min version detection implemented; add a
      generic |TARGET_VERSION| call taking parameters a) appid,
      b) maxVersion|minVersion and c) extension-dir; this call is then used to
      parse the right max/minVersion for a given targetApplication on demand in
      |CHECK_VERSION|. In this way we now filter out unsuitable packages from
      xpi:Depends based on the install.rdf version bounds
      - update src/xpi.mk

