=== debian/control ===
Source: mozilla-devscripts
Section: devel
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Uploaders: Fabien Tassin <fta@ubuntu.com>,
           Alexander Sack <asac@debian.org>,
           Alexander Sack <asac@ubuntu.com>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5)
Build-Depends-Indep: lsb-release
Standards-Version: 3.8.3
DM-Upload-Allowed: yes
Vcs-Bzr: lp:mozilla-devscripts
Vcs-Browser: https://code.launchpad.net/~mozillateam/mozilla-devscripts/mozilla-devscripts

Package: mozilla-devscripts
Architecture: all
Depends: dpkg-dev,
         fakeroot,
         libxml-xpath-perl,
         python,
         quilt,
         unzip,
         wget,
         zip,
         ${misc:Depends}
Suggests: cvs,
          git-core,
          mercurial
Description: Collection of dev scripts used by Ubuntu Mozilla packages
 This package contains mozilla-devscripts, a collection of scripts
 based on Makefile inheritance which provides targets usable by Mozilla
 packages in Ubuntu and Debian
