=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 DEB_SRCDIR              := $(CURDIR)/src
 DEB_MAKE_BUILD_TARGET   := build
-DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp/
+DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/mozilla-devscripts/
 DEB_MAKE_CHECK_TARGET   := $(NULL)
 
 DEB_INSTALL_DOCS_ALL       := README
