## mozilla-devscripts 0.22

=== debian/changelog ===
mozilla-devscripts (0.22) unstable; urgency=low

  * Add a dh buildsystem; thanks to Mike Hommey for the patch (Closes: #576946).
    - add src/xul-ext_build.pm
    - update src/Makefile
  * Use debian/package.js as configuration file if it exists.
    - update man/install-xpi.1
    - update src/install-xpi

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 11 Apr 2010 21:51:25 +0200

mozilla-devscripts (0.21) unstable; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * xulapp.mk:
    - add testing and tools directory to clean target for xulrunner-1.9.2
      build system
      - update src/xulapp.mk.in

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * add new xpi-repack script
    - add man/xpi-repack.1
    - add src/xpi-repack
    - update src/Makefile
  * Install extensions into xul-ext subdirectory; thanks to Daniel Kahn Gillmor
    for the patch.
    - update src/install-xpi
  * Use optparse instead of getopts and ignore unknown options (LP: #543862).
    - update man/dh_xul-ext.1
    - update src/dh_xul-ext
  * Use optparse instead of getopts.
    - update src/install-xpi
  * install-xpi will create a system preference file in /etc; add
    --disable-system-prefs to disable the new behavior (Closes: #558490,
    LP: #535544)
    - update man/install-xpi.1
    - update src/install-xpi
    - update src/xpi.mk

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 06 Apr 2010 16:25:19 +0200

mozilla-devscripts (0.20) unstable; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * xpi-data:
    - make thunderbird unversioned
    - make firefox-3.6 and abrowser-3.6 be unversioned from now on
      - update src/xul-app-data.csv.Ubuntu

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * dh_xul-ext:
    - insert dh_xul-ext after dh_install into dh sequence (Closes: #566618)
      - update src/xul-ext.pm
  * packaging:
    - Bump Standards-Version to 3.8.4; no changes required.
      - update debian/control
  * xpi-data:
    - Drop xulrunner-1.9 from Debian unstable.
      - update src/xul-app-data.csv.Debian
    - Add xulrunner-1.9.2 to Ubuntu lucid.
      - update src/xul-app-data.csv.Ubuntu

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 04 Feb 2010 20:41:17 +0100

mozilla-devscripts (0.19) unstable; urgency=low

  * xpi.mk:
    - get rid of temp directory; extract xpi file directly into installation
      directory
      - update src/xpi.mk
    - correct permissions of installed files and add
      MOZ_XPI_PRESERVE_PERMISSIONS to disable this behaviour (Closes: #556741)
      - update src/xpi.mk
    - drop support for deprecated MOZ_EXT_NAME and MOZ_XPI_MOZILLA_DIRS variable
      - update src/xpi.mk
    - add new MOZ_XPI_INSTALL_DIRECTORY variable
      - update src/xpi.mk
  * med-xpi-{pack,unpack}:
    - Drop med- prefix.
      - rename man/med-xpi-{pack,unpack}.1 to man/xpi-{pack,unpack}.1
      - rename src/med-xpi-{pack,unpack} to src/xpi-{pack,unpack}
      - update README
      - update src/Makefile
      - update src/xpi.mk
  * xpi-data:
    - Add Firefox 3.6 and Thunderbird 3.0 for lucid.
      - update src/xpi-data-Ubuntu.mk
    - Convert xpi-data-*.mk files into xul-app-data.csv* files for dh_xul-ext
      - remove src/xpi-config.mk.in
      - remove src/xpi-data-Debian.mk
      - remove src/xpi-data-Ubuntu.mk
      - remove src/xpi-data-all.mk
      - remove src/xpi-data-common.mk
      - add src/xul-app-data.csv.Debian
      - add src/xul-app-data.csv.Ubuntu
      - update src/Makefile
  * dh_xul-ext:
    - Split substvars calculation from xpi.mk into new dh_xul-ext.
      - add src/dh_xul-ext
      - update src/Makefile
      - update src/xpi.mk
    - Move compare_versions from moz-version into separate module moz_version.py
      - add src/moz_version.py
      - update src/moz-version
      - update src/dh_xul-ext
    - Install moz_version.py using python-support
      - update debian/control
      - update debian/rules
      - update src/Makefile
    - Add "xul-ext" dh sequence
      - add src/xul-ext.pm
      - update src/Makefile
      - update debian/control
    - wrote man page for dh_xul-ext
      - add man/dh_xul-ext.1
      - update src/Makefile
  * install-xpi:
    - Split xpi installation from xpi.mk into new install-xpi script.
      - add src/install-xpi
      - update src/Makefile
      - update src/xpi.mk
      - update debian/control
    - wrote man page for install-xpi
      - add man/install-xpi.1
      - update src/Makefile
    - add --install-dir parameter to install-xpi
      - update man/install-xpi.1
      - update src/install-xpi
    - create links for architecture independent extensions in /usr/share instead
      of /usr/lib (Closes: #564671)
      - update src/install-xpi
    - create additional symlinks for icedove and thunderbird, because they do
      not scan /usr/{lib,share}/mozilla/extensions/$target_application
      - update src/install-xpi
  * moz-version:
    - Add parameter for converting Mozilla versions into Debian upstream
      versions and the other way round.
      - update man/moz-version.1
      - update src/moz_version.py
      - update src/moz-version
    - Add a test suite for testing moz-version --compare
      - add tests/test-moz-version
      - update debian/rules
      - update src/Makefile
  * packaging:
    - add homepage field
      - update debian/control

  [ Alexander Sack <asac@ubuntu.com> ]
  * dh_xul-ext:
    - convert xpath expression to python/rdflib; extract (id, max, min)
      triples for all targetApplications in get_supported_apps; in turn
      add python-rdflib to Depends (Closes: #551182, LP: #453040, #444540)
      - update src/dh_xul-ext
      - update debian/control

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 12 Jan 2010 16:07:57 +0100

mozilla-devscripts (0.18) unstable; urgency=low

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * med-xpi-pack:
    - Keep track of produced jar files and remove them only after the build
      of xpi file (LP: #452422, Closes: #551065)
  * med-xpi-{pack,unpack}:

