=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
            Alexander Sack <asac@ubuntu.com>,
            Benjamin Drung <bdrung@ubuntu.com>
 Build-Depends: cdbs, debhelper (>= 5)
-Build-Depends-Indep: lsb-release
-Standards-Version: 3.8.3
+Build-Depends-Indep: python, python-support
+Standards-Version: 3.8.4
 DM-Upload-Allowed: yes
+Homepage: https://launchpad.net/mozilla-devscripts
 Vcs-Bzr: lp:mozilla-devscripts
 Vcs-Browser: https://code.launchpad.net/~mozillateam/mozilla-devscripts/mozilla-devscripts
 
@@ -17,13 +18,14 @@
 Architecture: all
 Depends: dpkg-dev,
          fakeroot,
-         libxml-xpath-perl,
-         python,
+         python-rdflib,
          quilt,
          unzip,
          wget,
          zip,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${perl:Depends},
+         ${python:Depends}
 Suggests: cvs,
           git-core,
           mercurial
