## mozilla-devscripts 0.22ubuntu0.10.04.1~mfn4

=== debian/changelog ===
mozilla-devscripts (0.22ubuntu0.10.04.1~mfn4) lucid; urgency=low

  * Add support for shipping an untouched copy of the xpi in a package,
    without unpacking it. We want this for the addon installer in ubufox
    - update src/install-xpi
    - update src/xpi.mk
  * Make it possible to just install the xpi without doing any other processing.
    - update src/install-xpi
    - update src/xpi.mk
  * Switch from python-rdflib to python-librdf rather than porting the above
    changes to python-rdflib; thanks to Willi Mann for the
    patch.
    - update src/dh_xul-ext
    - update src/install-xpi
    - update debian/control
  * Don't include all extension metadata in the xpi. This data contains
    signatures which were created when the xpi was packed upstream and
    are invalid when the xpi is repacked, which causes the addon installer
    to barf
    - update src/xpi-pack

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 02 Jun 2011 18:00:43 +0100
