## mozilla-devscripts 0.22ubuntu0.10.04.3

=== debian/changelog ===
mozilla-devscripts (0.22ubuntu0.10.04.3) lucid-security; urgency=low

  * Don't mark thunderbird as an incompatible app that can't read
    /usr/share/mozilla; This makes install-xpi create a symlink in
    /usr/lib/thunderbird/extensions which is now a symlink itself (LP: #995054)
    - update src/install-xpi 

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 07 May 2012 17:56:43 -0700
