=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: dpkg-dev,
          fakeroot,
-         python-rdflib,
+         python-librdf,
          quilt,
          unzip,
          wget,
