## mozilla-devscripts 0.23

=== debian/changelog ===
mozilla-devscripts (0.23) unstable; urgency=low

  * Switch from python-rdflib to python-librdf; thanks to Willi Mann for the
    patch.
    - update src/dh_xul-ext
    - update src/install-xpi

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 10 Jun 2010 13:55:17 +0200
