## mozilla-devscripts 0.24

=== src/Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 
 DATADIR = $(PREFIX)/share/mozilla-devscripts
 
+VENDOR := $(shell if dpkg-vendor --is Ubuntu || dpkg-vendor --derives-from Ubuntu; then echo "Ubuntu"; else echo "Debian"; fi)
+
 subst_files = \
 	firefox-3.0.mk \
 	firefox-3.0-full.mk \
@@ -43,22 +45,20 @@
 	mozclient.mk \
 	compare.mk \
 	minefield-packager.mk \
-	xpi-config.mk \
 	xulapp.mk \
 	$(NULL)
 
 extra_files = \
 	lp-locale-export.mk \
 	xpi.mk \
-	xpi-data-all.mk \
-	xpi-data-common.mk \
-	xpi-data-Debian.mk \
-	xpi-data-Ubuntu.mk \
 	$(NULL)
 
 bindir_files = \
-	med-xpi-pack \
-	med-xpi-unpack \
+	dh_xul-ext \
+	install-xpi \
+	xpi-pack \
+	xpi-repack \
+	xpi-unpack \
 	moz-version
 
 extra_dirs = \
@@ -75,29 +75,34 @@
 	-e "s|^\(MOZCLIENT_EXCLUDE_SCRIPT.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
 	-e "s|^\(MOZCLIENT_PATCHES.*=[ 	][ 	]*\)\(.*/\)\(.*\)|\1$(DATADIR)/\3|" \
 	-e "s|^\(MOZDEVSCRIPT_DIR.*=[ 	]*\)\(.*\)|\1$(DATADIR)/\2|" \
-	-e "s|@DISTRO@|$(shell lsb_release -si)|" \
 	> $@
 	chmod 644 $@
 
 build: $(subst_files)
 
-install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*)) install-man
+test:
+	../tests/test-moz-version
+
+install: $(subst_files) $(extra_files) $(foreach dir,$(extra_dirs),$(wildcard $(dir)/*))
 	install -m 755 -d $(DESTDIR)$(DATADIR) $(foreach dir,$(extra_dirs),$(DESTDIR)$(DATADIR)/$(dir))
 	install -m 644 $(subst_files) $(extra_files) $(DESTDIR)$(DATADIR)
 	install -m 755 -d $(DESTDIR)$(BINDIR) 
 	install -m 755 $(bindir_files) $(DESTDIR)$(BINDIR) 
 	for dir in $(extra_dirs) ; do \
-	install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
+		install -m 644 `echo $$dir/*` $(DESTDIR)$(DATADIR)/$$dir ; \
+	done
+	install -m 644 -D moz_version.py $(DESTDIR)$(DATADIR)/moz_version.py
+	for dir in $(shell pyversions -s); do \
+		mkdir -p $(DESTDIR)$(PREFIX)/lib/$$dir/site-packages/; \
+		ln -s ../../../share/mozilla-devscripts/moz_version.py $(DESTDIR)$(PREFIX)/lib/$$dir/site-packages/; \
 	done
 	find $(DESTDIR)$(DATADIR) -type f \( -name \*.pl -o -name \*.sh \) -exec chmod -v 755 {} \;
 	chmod 755 $(DESTDIR)$(DATADIR)/minefield-packager.mk
-
-install-man:
-	install -D -m 644 ../man/moz-version.1 $(DESTDIR)$(MANDIR)/man1/moz-version.1
-	install -D -m 644 ../man/med-xpi-pack.1 $(DESTDIR)$(MANDIR)/man1/med-xpi-pack.1
-	install -D -m 644 ../man/med-xpi-unpack.1 $(DESTDIR)$(MANDIR)/man1/med-xpi-unpack.1
+	install -m 644 xul-app-data.csv.$(VENDOR) $(DESTDIR)$(DATADIR)/xul-app-data.csv
+	install -D -m 644 xul-ext.pm $(DESTDIR)/usr/share/perl5/Debian/Debhelper/Sequence/xul_ext.pm
+	install -D -m 644 xul-ext_build.pm $(DESTDIR)/usr/share/perl5/Debian/Debhelper/Buildsystem/xul_ext.pm
 
 clean:
 	rm -f $(subst_files)
 
-.PHONY: clean install install-man
+.PHONY: clean install test
