=== debian/changelog ===
mozilla-devscripts (0.24) unstable; urgency=low

  * Drop packages that are transitional or removed in Ubuntu maverick.
    - update src/xul-app-data.csv.Ubuntu
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 22 Sep 2010 17:40:21 +0200
