=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Benjamin Drung <bdrung@ubuntu.com>
 Build-Depends: cdbs, debhelper (>= 5)
 Build-Depends-Indep: python, python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: https://launchpad.net/mozilla-devscripts
 Vcs-Bzr: lp:mozilla-devscripts
