=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,9 @@
 DEB_SRCDIR              := $(CURDIR)/src
 DEB_MAKE_BUILD_TARGET   := build
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/mozilla-devscripts/
-DEB_MAKE_CHECK_TARGET   := $(NULL)
+DEB_MAKE_CHECK_TARGET   := test
 
 DEB_INSTALL_DOCS_ALL       := README
+
+install/mozilla-devscripts::
+	dh_pysupport
