## mozilla-devscripts 0.24ubuntu0.10.10.1

=== debian/changelog ===
mozilla-devscripts (0.24ubuntu0.10.10.1) maverick-security; urgency=low

  * Update to support newer version of Firefox (LP: #904594)
  * Add support for shipping an untouched copy of the xpi in a package,
    without unpacking it. We want this for the addon installer in ubufox
    - update src/install-xpi
    - update src/xpi.mk
  * Make it possible to just install the xpi without doing any other processing.
    - update src/install-xpi
    - update src/xpi.mki
  * Don't include all extension metadata in the xpi. This data contains
    signatures which were created when the xpi was packed upstream and
    are invalid when the xpi is repacked, which causes the addon installer
    to barf
    - update src/xpi-pack

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Dec 2011 01:17:02 -0600
